Name: sweets-telepathy-glib
Version: 0.14.10

Release: 7.2
Group: Development/Tools/Other
Summary: GLib bindings for the Telepathy D-Bus protocol
License: LGPLv2+
Url: http://telepathy.freedesktop.org/

Source: telepathy-glib-0.14.10.tar.gz
Source1: sweet.tar.gz



Requires: dbus >= 0.95
Requires: dbus-glib >= 0.82
Requires: glib2 >= 2.25.16
BuildRequires: dbus-devel >= 0.95
BuildRequires: dbus-glib-devel >= 0.82
BuildRequires: gcc
BuildRequires: glib2-devel >= 2.25.16
BuildRequires: make
BuildRequires: pkgconfig
BuildRequires: python-devel
BuildRequires: libxslt
BuildRequires: python




BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}
AutoProv: no
AutoReq:  no


%description
GLib bindings for the Telepathy D-Bus protocol

%prep
%setup -n telepathy-glib-0.14.10

tar xzpvf %{SOURCE1} -C %{_sourcedir}


%build
./configure --prefix=/opt/sweets/telepathy-glib --disable-gtk-doc CFLAGS="${CFLAGS}"
make

%install

# Such scripts might, e.g., compress man files that will break %files logic
%undefine __os_install_post

make DESTDIR=%{buildroot}/.dest install
python %{_sourcedir}/sweet_install.py move rpm %{_sourcedir}/sweet_files %{buildroot} /opt/sweets/telepathy-glib '' '' > sweets-telepathy-glib.files
[ -f sweets.recipe ] && spec=sweets.recipe || spec=%{_sourcedir}/sweets.recipe; cp $spec %{buildroot}/.dest/sweets.recipe
echo /opt/sweets/telepathy-glib/sweets.recipe >> sweets-telepathy-glib.files
python %{_sourcedir}/sweet_install.py move rpm %{buildroot}/.dest %{buildroot} /opt/sweets/telepathy-glib '' '' >> sweets-telepathy-glib.files
rm -rf %{buildroot}/.dest
install -m 0755 -d %{buildroot}/opt/sweets/sdk/telepathy-glib
(cd %{buildroot}; find . -name "*.py" -printf "%h\n" | sort | uniq | sed s/^.// > opt/sweets/sdk/telepathy-glib/pydirs)
echo /opt/sweets/sdk/telepathy-glib/pydirs >> sweets-telepathy-glib.files

%post
test -e /opt/sweets/sdk/telepathy-glib/pydirs && for i in `cat /opt/sweets/sdk/telepathy-glib/pydirs`; do python -m compileall -l $i >/dev/null; python -O -m compileall -l $i >/dev/null; done; true

%preun
test -e /opt/sweets/sdk/telepathy-glib/pydirs && for i in `cat /opt/sweets/sdk/telepathy-glib/pydirs`; do rm -f $i/*.pyc $i/*.pyo; done; true

%clean
rm -rf %{buildroot}

%files -f sweets-telepathy-glib.files

%changelog
